## ----echo=FALSE, message=FALSE, include=TRUE----------------------------------
knitr::opts_chunk$set(
  echo = TRUE, collapse = TRUE, cache = TRUE, fig.show = 'hold')
#str(knitr::opts_chunk$get())

## -----------------------------------------------------------------------------
   require(magrittr)
   require(autonomics)
    file <- system.file('extdata/atkin.metabolon.xlsx', package = 'autonomics')
   object <- read_metabolon(file)
   object$subgroup %<>% factor()
   object$Subject %<>% factor()

## -----------------------------------------------------------------------------
object <- read_metabolon(file)
object$subgroup %<>% factor()
object$Subject %<>% factor()
object %<>% fit_lm(~ subgroup)

## -----------------------------------------------------------------------------
object <- read_metabolon(file)
object %<>% fit_lm(   ~ subgroup)
object %<>% fit_limma(~ subgroup) # prefers large effects over small sds
plot_contrast_venn(is_sig(object, fit = fits(fdt(object)), contrast = 't3'))
# plot_contrast_boxplots(object, subgroupvar='SET', contrast='t3', fit = c('lm', 'limma'))

## -----------------------------------------------------------------------------
object <- read_metabolon(file)
object %<>% fit_limma(~ subgroup, block = 'Subject')
object %<>% fit_lme(  ~ subgroup, block = 'Subject')
object %<>% fit_lmer( ~ subgroup, block = 'Subject') # results identical for this basic 
plot_contrast_venn(is_sig(object, fit = fits(fdt(object)), contrast = 't3'))
# plot_contrast_boxplots(object, subgroupvar='SET', contrast='t3', fit = c('lm', 'limma'))

## -----------------------------------------------------------------------------
object <- read_metabolon(file)
object %<>% fit_limma(~0+subgroup, contrasts = c('t1-t0', 't2-t0', 't3-t0'), block = 'Subject')
object %<>% fit_limma(~0+subgroup, contrasts = c('t1-t0', 't2-t1', 't3-t2'), block = 'Subject')

## -----------------------------------------------------------------------------
object <- read_metabolon(file)
object %<>% fit_limma(~subgroup, block = 'Subject')  # baseline diffs
object %<>% fit_limma(~subgroup, block = 'Subject', codingfun = code_diff)  # backward diffs

## -----------------------------------------------------------------------------
object <- read_metabolon(file)
object %<>% fit_limma(   ~0+subgroup, contrasts = c('t3-t0'), block = 'Subject')
object %<>% fit_wilcoxon(~0+subgroup, contrasts = c('t3-t0'), block = 'Subject')
plot_contrast_venn(is_sig(object, contrast = 't3-t0', fit = fits(fdt(object))))

## -----------------------------------------------------------------------------
sessionInfo()

