% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/8_fit_limma.R
\name{summarize_fit}
\alias{summarize_fit}
\title{Summarize fit}
\usage{
summarize_fit(
  featuredt,
  fit = fits(featuredt),
  coefs = autonomics::coefs(featuredt, fit = fit)
)
}
\arguments{
\item{featuredt}{fdt(object)}

\item{fit}{'limma', 'lme', 'lm', 'lme', 'wilcoxon' or NULL}

\item{coefs}{string vector}
}
\value{
data.table(contrast, nup, ndown)
}
\description{
Summarize fit
}
\examples{
file <- system.file('extdata/atkin.metabolon.xlsx', package = 'autonomics')
object <- read_metabolon(file)
object \%<>\% fit_limma()
object \%<>\% fit_lm()
summarize_fit(fdt(object), coefs = c('t1', 't2', 't3'))
}
